Create a new organization role
curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/roles \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"description": "<string>",
"permissions": [
"eventType.read",
"eventType.create",
"booking.read"
]
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/roles"
payload = {
"name": "<string>",
"color": "<string>",
"description": "<string>",
"permissions": ["eventType.read", "eventType.create", "booking.read"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
color: '<string>',
description: '<string>',
permissions: ['eventType.read', 'eventType.create', 'booking.read']
})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "<string>",
"name": "<string>",
"type": "SYSTEM",
"permissions": [
"booking.read",
"eventType.create"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"color": "<string>",
"description": "<string>",
"organizationId": 123
}
}Roles
Create a new organization role
Required membership role: org admin. PBAC permission: role.create. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
POST
/
v2
/
organizations
/
{orgId}
/
roles
Create a new organization role
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
Body
application/json
Name of the role
Minimum string length:
1Color for the role (hex code)
Description of the role
Permissions for this role (format: resource.action). On update, this field replaces the entire permission set for the role (full replace). Use granular permission endpoints for one-by-one changes.
Available options:
*.*, role.create, role.read, role.readTeamRoles, role.readOrgRoles, role.update, role.delete, eventType.create, eventType.read, eventType.readTeamEventTypes, eventType.readOrgEventTypes, eventType.update, eventType.delete, team.create, team.read, team.readOrgTeams, team.readTeamSettings, team.readConferencing, team.readVerifiedResources, team.readMemberships, team.update, team.delete, team.invite, team.remove, team.listMembers, team.listMembersPrivate, team.changeMemberRole, team.impersonate, organization.create, organization.read, organization.readMemberships, organization.readManagedOrganizations, organization.readDelegationCredentials, organization.listMembers, organization.listMembersPrivate, organization.invite, organization.remove, organization.manageBilling, organization.changeMemberRole, organization.impersonate, organization.passwordReset, organization.editUsers, organization.update, organization.delete, booking.read, booking.readOrgBookings, booking.readRecordings, booking.update, booking.updateOrgBookings, booking.reassignOrgPastBookings, booking.readOrgAuditLogs, insights.read, workflow.create, workflow.read, workflow.readTeamWorkflows, workflow.update, workflow.delete, organization.attributes.read, organization.attributes.update, organization.attributes.delete, organization.attributes.create, organization.attributes.readSyncHistory, organization.attributes.editUsers, organization.attributes.readAuditLogs, routingForm.create, routingForm.read, routingForm.readTeamRoutingForms, routingForm.readOrgRoutingForms, routingForm.update, routingForm.delete, routingForm.readOrgAuditLogs, routingForm.readResponsePii, webhook.create, webhook.read, webhook.readOrgWebhooks, webhook.update, webhook.delete, availability.readTeamAvailability, availability.readOrgAvailability, availability.updateOrgAvailability, ooo.readOrgOoo, watchlist.create, watchlist.read, watchlist.update, watchlist.delete, featureOptIn.read, featureOptIn.update, organization.customDomain.create, organization.customDomain.read, organization.customDomain.update, organization.customDomain.delete, tag.create, tag.update, tag.delete Example:
[ "eventType.read", "eventType.create", "booking.read" ]
Was this page helpful?